package com.anyway.favor.model.vo;

import com.anyway.favor.model.Favor;
import com.anyway.favor.model.FavorItem;
import com.anyway.favor.model.Gift;
import com.anyway.favor.model.Person;
import lombok.Data;
import org.springframework.beans.BeanUtils;

/**
 * 人情明细
 *
 * @author liuchuanwei
 * @date 2024-08-12
 */
@Data
public class FavorItemVo extends FavorItem {
    /** 人情事件 */
    private Favor favor;
    /** 举办人 */
    private Person holdPerson;
    /** 收礼人 */
    private Person receivePerson;
    /** 回赠礼物 */
    private Gift returnGift;
    /** 送礼人 */
    private Person givePerson;
    /** 赠送礼物 */
    private Gift giveGift;

    public FavorItemVo(FavorItem favorItem) {
        BeanUtils.copyProperties(favorItem, this);
    }
}
