package com.anyway.favor.service;

import com.anyway.favor.model.Gift;

/**
 * 礼物接口
 *
 * @author anyway
 * @date 2024-08-12
 */
public interface GiftService {

    /**
     * 添加
     *
     * @param person
     * @return
     */
    boolean add(Gift person);

    /**
     * 更新
     *
     * @param person
     * @return
     */
    boolean update(Gift person);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    Gift findById(Long id);

    /**
     * 根据ID删除
     * @param id
     * @return
     */
    int delete(Long id);

}
