<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<html>
<head>
    <title>人情详情</title>
</head>
<body>
<div style="margin: 0 auto; width: 60%;">
    <h2>人情详情</h2>
    <table id="favorTab" border="1" cellspacing="1" cellpadding="5" style="width: 40%;">
        <tbody>
        <tr>
            <td>标题:</td>
            <td>${favor.title}</td>
        </tr>
        <tr>
            <td>对象:</td>
            <td>${favor.person.callName}（${favor.person.name}）</td>
        </tr>
        <tr>
            <td>日期:</td>
            <td><fmt:formatDate value='${favor.occurDate}' pattern='yyyy-MM-dd'/>"</td>
        </tr>
        <tr>
            <td>收入金额:</td>
            <td>${favor.incomeAmount}</td>
        </tr>
        <tr>
            <td>支出金额:</td>
            <td>${favor.payAmount}</td>
        </tr>
        <tr>
            <td>备注:</td>
            <td>${favor.remark}</td>
        </tr>
        </tbody>
    </table>
    <br/>
    <b>人情明细</b>
    <table id="favorItemTab" border="1" cellspacing="1" cellpadding="5" style="margin: 0 auto; width: 100%;">
        <thead>
        <tr>
            <th>送礼人</th>
            <th style="width: 15%">地址</th>
            <th style="width: 10%">金额</th>
            <th style="width: 10%">还礼</th>
            <th>收礼人</th>
            <th>备注</th>
        </tr>
        </thead>
        <tbody>
        <c:forEach items="${favor.favorItemList}" var="p">
        <tr>
            <td>${p.sourcePerson.callName}（${p.sourcePerson.name}）</td>
            <td class="address">${p.sourcePerson.address}</td>
            <td>${p.amount}"</td>
            <td>${p.returnGift}</td>
            <td>${p.person.callName}（${p.person.name}）</td>
            <td>${p.remark}</td>
        </tr>
        </c:forEach>
        </tbody>
    </table>
</div>
</body>
</html>
