/**
 * 添加人情明细
 */
function addTr() {
    let tbodyEle = document.querySelector("#favorItemTab tbody");
    let trEle = document.createElement("tr");
    trEle.innerHTML = trHtmlTemplate;
    tbodyEle.appendChild(trEle)
    //设置默认值
    let personId = $("#favorTab select[name='personId']").val();
    $(trEle).find("select[name='personId']").val(personId);
    //计算收入金额
    calcIncomeAmount();
}
/**
 * 删除人情明细
 */
function deleteTr(_this) {
    $(_this).parent().parent().remove();
}
/**
 * 选中送礼人
 */
function chooseSourcePerson() {
    let _this = window.event.srcElement || window.event.target;
    let index = _this.options.selectedIndex;
    let addrAttr = _this.options[index].attributes['data-address'];
    if (addrAttr === undefined) {
        _this.parentElement.nextElementSibling.innerText = '';
    } else {
        _this.parentElement.nextElementSibling.innerText = addrAttr.value;
    }
}
/**
 * 计算人情明细金额
 */
function calcIncomeAmount() {
    let amountEles = $("#favorItemTab tr input[name='amount']");
    let incomeAmount = 0;
    for(let i=0; i<amountEles.length; i++) {
        incomeAmount = incomeAmount + parseInt(amountEles[i].value);
    }
    $("#favorTab input[name='incomeAmount']").val(incomeAmount);
}
/**
 * 保存人情
 */
function saveFavor() {
    let url = headUrl + '/favor/add';
    //人情
    let favorJson = {
        'title': $("input[name='title']").val(),
        'personId': $("select[name='personId']").val(),
        'occurDate': $("input[name='occurDate']").val(),
        'incomeAmount': $("input[name='incomeAmount']").val(),
        'payAmount': $("input[name='payAmount']").val(),
        'remark': $("input[name='remark']").val(),
    };
    //人情明细
    let favorItemList = [];
    let trs = $('#favorItemTab tbody tr');
    for(let i=0; i<trs.length; i++) {
        let tr = trs[i];
        let sourcePersonId = $(tr).find("select[name='sourcePersonId']").val();
        if (sourcePersonId !== undefined) {
            let favorJson = {
                'sourcePersonId': sourcePersonId,
                'personId': $(tr).find("select[name='personId']").val(),
                'amount': $(tr).find("input[name='amount']").val(),
                'returnGift': $(tr).find("input[name='returnGift']").val(),
                'remark': $(tr).find("input[name='remark']").val(),
            };
            favorItemList.push(favorJson);
        }
    }
    favorJson['favorItemList'] = favorItemList;
    $.ajax({
        url: url,
        type: "POST",
        data: JSON.stringify(favorJson),
        contentType: "application/json;charset=utf-8",
        success: function (res) {
            if (res.code !== 0) {
                alert(res.msg)
            } else {
                window.location.href = headUrl + "/favor/toList";
            }
        }
    });
}

/**
 * 保存人情
 */
function updateFavor() {
    let url = headUrl + "/favor/update";
    //人情
    let favorJson = {
        'id': $("input[name='id']").val(),
        'title': $("input[name='title']").val(),
        'personId': $("select[name='personId']").val(),
        'occurDate': $("input[name='occurDate']").val(),
        'incomeAmount': $("input[name='incomeAmount']").val(),
        'payAmount': $("input[name='payAmount']").val(),
        'remark': $("input[name='remark']").val(),
    };
    //人情明细
    let favorItemList = [];
    let trs = $('#favorItemTab tbody tr');
    for(let i=0; i<trs.length; i++) {
        let tr = trs[i];
        let sourcePersonId = $(tr).find("select[name='sourcePersonId']").val();
        if (sourcePersonId !== undefined) {
            let favorJson = {
                'sourcePersonId': sourcePersonId,
                'personId': $(tr).find("select[name='personId']").val(),
                'amount': $(tr).find("input[name='amount']").val(),
                'returnGift': $(tr).find("input[name='returnGift']").val(),
                'remark': $(tr).find("input[name='remark']").val(),
            };
            favorItemList.push(favorJson);
        }
    }
    favorJson['favorItemList'] = favorItemList;
    $.ajax({
        url: url,
        type: "POST",
        data: JSON.stringify(favorJson),
        contentType: "application/json;charset=utf-8",
        success: function (res) {
            if (res.code !== 0) {
                alert(res.msg)
            } else {
                window.location.href = headUrl + "/favor/toList";
            }
        }
    });
}